# Interface methods for submodule: JPEGImageIO
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageIOBaseProxy as _ImageIOBaseProxy


# Interface methods for class: JPEGImageIO
class JPEGImageIOProxy(_ImageIOBaseProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetQuality(self, _JPEGQuality: int) -> None:
		""""""
		...

	def GetQuality(self) -> int:
		""""""
		...

	def SetProgressive(self, _arg: bool) -> None:
		""""""
		...

	def GetProgressive(self) -> bool:
		""""""
		...

	def ProgressiveOn(self) -> None:
		""""""
		...

	def ProgressiveOff(self) -> None:
		""""""
		...

	def SetCMYKtoRGB(self, _arg: bool) -> None:
		""""""
		...

	def GetCMYKtoRGB(self) -> bool:
		""""""
		...

	def CMYKtoRGBOn(self) -> None:
		""""""
		...

	def CMYKtoRGBOff(self) -> None:
		""""""
		...

	def CanReadFile(self, arg0) -> bool:
		""""""
		...

	def ReadImageInformation(self) -> None:
		""""""
		...

	def Read(self, buffer) -> None:
		""""""
		...

	def ReadVolume(self, buffer) -> None:
		""""""
		...

	def CanWriteFile(self, arg0) -> bool:
		""""""
		...

	def WriteImageInformation(self) -> None:
		""""""
		...

	def Write(self, buffer) -> None:
		""""""
		...

